import { Series } from "./Series";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { IEnumerable, Type } from "igniteui-angular-core";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemsSource } from "igniteui-angular-core";
import { TriangulationStatusEventArgs } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { Rect } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class ScatterTriangulationSeries extends Series {
    static $t: Type;
    o8(): void;
    ya: string;
    ku(a: any, b: string): any;
    mi(a: string): string;
    yi: string;
    private xf;
    protected get xl(): IFastItemColumn$1<number>;
    protected set xl(a: IFastItemColumn$1<number>);
    private xg;
    protected get xm(): IFastItemColumn$1<number>;
    protected set xm(a: IFastItemColumn$1<number>);
    w8: NumericXAxis;
    w9: NumericYAxis;
    private xo;
    rz(a: boolean): void;
    private ym;
    private yk;
    private xb;
    triangulationStatusChanged: (sender: any, args: TriangulationStatusEventArgs) => void;
    private yn;
    protected xh(a: IFastItemsSource, b: string): IFastItemColumn$1<number>;
    protected rg(a: any, b: string, c: any, d: any): void;
    xq(a: any): boolean;
    xp(a: any): boolean;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    private yl;
    private xr;
    qh(): void;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    ay(a: Axis): AxisRange;
    protected sz(a: Rect, b: Rect): void;
    protected sy(a: Rect, b: Rect): void;
    trianglesSource: IEnumerable;
    xn: IFastItemsSource;
    xy: string;
    x0: string;
    x2: string;
    private xc;
    protected get xi(): IFastItemColumn$1<number>;
    protected set xi(a: IFastItemColumn$1<number>);
    private xd;
    protected get xj(): IFastItemColumn$1<number>;
    protected set xj(a: IFastItemColumn$1<number>);
    private xe;
    protected get xk(): IFastItemColumn$1<number>;
    protected set xk(a: IFastItemColumn$1<number>);
    protected get_fy(): boolean;
    protected get_fm(): boolean;
    x6: string;
    ye: string;
    x8: string;
    yg: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    static $$p: string[];
}
